## GnomeDbDataSourceSelector

GnomeDbDataSourceSelector — A combo box style widget to select a data source

## Synopsis

                GnomeDbDataSourceSelectorPrivate;
    GtkWidget*  gnome_db_data_source_selector_new
                                                (const gchar *name);

## Description

## Details

### GnomeDbDataSourceSelectorPrivate

    typedef struct _GnomeDbDataSourceSelectorPrivate GnomeDbDataSourceSelectorPrivate;

### gnome_db_data_source_selector_new ()

    GtkWidget*  gnome_db_data_source_selector_new
                                                (const gchar *name);

Create a new GnomeDbDataSourceSelector, which is just a GtkOptionMenu which displays, as its menu items, all the data sources currently configured in the system. It is useful for connection and configuration screens, where the user has to choose a data source to work with.

`name` : | name of data source to display.
Returns : | the newly created widget.